Skip to main content
POST
/
api
/
v2
/
postpaid
/
payment
curl --request POST \
  --url https://sandbox-biller-b2b.singapay.id/api/v2/postpaid/payment \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --header 'X-PARTNER-ID: <x-partner-id>' \
  --data '
{
  "command": "plnpos",
  "data": {
    "password": "merchant_password",
    "product_code": "SPPLNPOS",
    "customer_id": "114676170021",
    "reference_number": "SPPLNPOSRJBL0057437746821761805651"
  }
}
'
{
  "command": "plnpos",
  "response_code": "00",
  "response_text": "Payment success",
  "data": {
    "amount": "69674",
    "customer_name": "JOHN DOE",
    "period": "4",
    "customer_id": "114676170021",
    "price": "74194",
    "transaction_id": "01JXCK6K1CMRGJKQ2J863Q6P5J",
    "created_at": "2025-10-30 13:28:45"
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from /api/v1.0/access-token/b2b

Headers

X-PARTNER-ID
string
required

Your unique partner API key

Accept
string
default:application/json
required
Content-Type
string
default:application/json
required

Body

application/json
command
enum<string>
required

Product category code

Available options:
pdam,
plnpos,
plnnon,
intv,
bpjsks,
bputk,
putk,
mobpos
Example:

"plnpos"

data
object
required

Response

Payment successful

command
string
Example:

"plnpos"

response_code
string
Example:

"00"

response_text
string
Example:

"Payment success"

data
object

Payment result (structure varies by product category)